Page MenuHomePhabricator

Remove citoid from parsoidcache
Closed, ResolvedPublic

Description

The service itself is still in active use, but the parsoidcache configuration is a trivial pass-through on all traffic. If a natural move to restbase's text-lb-based entrypoint is imminent we can wait on that. Otherwise, we can move the hostname and pass-logic out to the text-cluster.

Event Timeline

BBlack created this task.Aug 27 2015, 2:53 AM
BBlack raised the priority of this task from to Medium.
BBlack updated the task description. (Show Details)
BBlack added projects: acl*sre-team, Traffic.
BBlack added subscribers: BBlack, Aklapper.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 27 2015, 2:53 AM
mobrovac added a subscriber: mobrovac.

T108646: Set-up Citoid behind RESTBase aims at putting Citoid behind RESTBase , but as noted on the ticket there, the domain should stay.

Mvolz moved this task from Backlog to Production on the Citoid board.Sep 14 2015, 12:24 PM

I don't see where that's noted there. Are you saying there's a reason to keep a separate cxserver.wikimedia.org in the long term, even after making it available via RB?

It was mentioned on another task (and I can't currently find the thread!) but @Jdforrester-WMF mentioned that we've been actively encouraging developers to use the citoid.wikimedia.org GET endpoint for scripts. There are at least 3 scripts that use it that I can think of off the top of my head. So the idea was to keep it for a while.

I don't see where that's noted there.

Hm, indeed, it's not. Hm, strange. I remember discussing it with @Jdforrester-WMF on some ticket, but can't seem to find it now. Hm.

Are you saying there's a reason to keep a separate cxserver.wikimedia.org in the long term, even after making it available via RB?

citoid.wikimedia.org, but, yes, there should be a deprecation period where the domain should be available so that various gadgets, scripts and other clients can be switched to the new URL layout.

Are things still using the hostnames citoid.wikimedia.org and/or citoid.eqiad.wikimedia.org, which map to the cache_parsoid cluster rather than through restbase?

Are things still using the hostnames citoid.wikimedia.org and/or citoid.eqiad.wikimedia.org, which map to the cache_parsoid cluster rather than through restbase?

T108646 is still pending, which means that VE is using citoid.wikimedia.org actively, so the DNS entry should stay. @BBlack, could we move the proxy pass to text-lb?

Change 266739 had a related patch set uploaded (by BBlack):
cxserver, citoid -> cache_text cluster

https://gerrit.wikimedia.org/r/266739

Change 266740 had a related patch set uploaded (by BBlack):
Text VCL: Add support for citoid cxserver passes

https://gerrit.wikimedia.org/r/266740

Change 266741 had a related patch set uploaded (by BBlack):
cache_parsoid: remove citoid cxserver pass-through

https://gerrit.wikimedia.org/r/266741

Change 266740 merged by BBlack:
Text VCL: Add support for citoid cxserver passes

https://gerrit.wikimedia.org/r/266740

Change 266799 had a related patch set uploaded (by BBlack):
Add cxserver/citoid to cache_mobile

https://gerrit.wikimedia.org/r/266799

Change 266799 merged by BBlack:
Add cxserver/citoid to cache_mobile

https://gerrit.wikimedia.org/r/266799

Change 266739 merged by BBlack:
cxserver, citoid -> cache_text cluster

https://gerrit.wikimedia.org/r/266739

Change 266741 merged by BBlack:
cache_parsoid: remove citoid cxserver pass-through

https://gerrit.wikimedia.org/r/266741

BBlack closed this task as Resolved.Jan 29 2016, 10:46 AM
BBlack claimed this task.